summaryrefslogtreecommitdiffstats
path: root/games/glbsp/glbsp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/glbsp/glbsp.SlackBuild')
-rwxr-xr-xgames/glbsp/glbsp.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/games/glbsp/glbsp.SlackBuild b/games/glbsp/glbsp.SlackBuild
new file mode 100755
index 0000000000..a9599ffe8a
--- /dev/null
+++ b/games/glbsp/glbsp.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for glbsp
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=glbsp
+VERSION=${VERSION:-2.24}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+SRCVER=$( echo $VERSION | sed 's/\.//g' )
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/bin $PKG/usr/lib$LIBDIRSUFFIX $PKG/usr/man/man1 $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-source
+tar xvf $CWD/${PRGNAM}_src_${SRCVER}.tar.gz
+cd $PRGNAM-$VERSION-source
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Upstream doesn't build a shared lib, but we will by default.
+if [ "${STATIC:-no}" != "yes" ]; then
+ patch -p1 < $CWD/dynamic_libglbsp.diff
+fi
+
+sed -i "s/-O2/$SLKCFLAGS/" Makefile.unx
+make -f Makefile.unx
+make -f Makefile.unx install \
+ INSTALL_PREFIX=$PKG/usr \
+ MAN_PREFIX=$PKG/usr/man \
+ LIBDIR=$PKG/usr/lib$LIBDIRSUFFIX
+
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PRGNAM.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX $PKG/usr/include/$PRGNAM
+cat src/$PRGNAM.h > $PKG/usr/include/$PRGNAM/$PRGNAM.h
+
+if [ "${STATIC:-no}" = "yes" ]; then
+ cat lib$PRGNAM.a > $PKG/usr/lib$LIBDIRSUFFIX/lib$PRGNAM.a
+fi
+
+# I don't know whether apps including this header normally #include
+# <glbsp.h> or <glbsp/glbsp.h>. The Debian package has both (with
+# /usr/include/glbsp.h as a symlink), I will do likewise.
+( cd $PKG/usr/include ; ln -s $PRGNAM/$PRGNAM.h $PRGNAM.h ) || exit 1
+
+# Build with OMIT_GUI=yes if you don't need the GUI (otherwise, fltk is
+# a build dep).
+if [ "${OMIT_GUI:-no}" = "no" ]; then
+ make -f Makefile.unx glBSPX
+ cp glBSPX $PKG/usr/bin
+ mkdir -p $PKG/usr/share/pixmaps $PKG/usr/share/applications
+ cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+ cat gui/icon.xpm > $PKG/usr/share/pixmaps/$PRGNAM.xpm
+ cd nodeview
+ sed -i "s/-O -g3/$SLKCFLAGS/" Makefile.unx
+ make -f Makefile.unx
+ cp nodeview $PKG/usr/bin
+ cat README.txt TODO.txt > $PKG/usr/doc/$PRGNAM-$VERSION/nodeview.txt
+ cd ..
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}